Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.digester3.annotations.reflect
Class MethodArgument

    java.lang.Object
      org.apache.commons.digester3.annotations.reflect.MethodArgument

All Implemented Interfaces:
  AnnotatedElement

    public final class MethodArgument

extends Object
implements AnnotatedElement

Class to supply the missing Java `AnnotatedElement` for method arguments.

Since:
  2.1

Constructor Summary
`MethodArgument(int index, Class<?> parameterType, Annotation[] annotations)` Creates a new method argument as `AnnotatedElement`.

Method Summary
`
`<T extends Annotation> T`
` | `getAnnotation(Class<T> annotationType)`
`Annotation[]` | `getAnnotations()`
`Annotation[]` | `getDeclaredAnnotations()`
`int` | `getIndex()` Returns the method argument index.
`Class<?>` | `getParameterType()` Returns the method argument type.
`boolean` | `isAnnotationPresent(Class<? extends Annotation> annotationType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MethodArgument

    public MethodArgument(int index,
                          Class<?> parameterType,
                          Annotation[] annotations)

  Creates a new method argument as `AnnotatedElement`.

  Parameters:
    `index` - the method argument index.
    `parameterType` - the method argument type.
    `annotations` - the method argument annotations.

Method Detail

### getIndex

    public int getIndex()

  Returns the method argument index.

  Returns:
    the method argument index.

### getParameterType

    public Class<?> getParameterType()

  Returns the method argument type.

  Returns:
    the method argument type.

### getAnnotation

    public <T extends Annotation> T getAnnotation(Class<T> annotationType)

  Specified by:
    `getAnnotation` in interface `AnnotatedElement`

### getAnnotations

    public Annotation[] getAnnotations()

  Specified by:
    `getAnnotations` in interface `AnnotatedElement`

### getDeclaredAnnotations

    public Annotation[] getDeclaredAnnotations()

  Specified by:
    `getDeclaredAnnotations` in interface `AnnotatedElement`

### isAnnotationPresent

    public boolean isAnnotationPresent(Class<? extends Annotation> annotationType)

  Specified by:
    `isAnnotationPresent` in interface `AnnotatedElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 The Apache Software Foundation. All Rights Reserved.